BEGIN;

-- 1 покупают новый билет
INSERT INTO Tickets (id, price, zoo_name, date_visit, date_buy, id_visitors)
VALUES (1, 1000, "Yes", "10-11-2021", "6-11-2021", 3);
-- 2 выполняется параллельно 1 считаем кол-во купленных биллетов в зоопарке
SELECT count(*) FROM Zoo_Tickets WHERE id_zoo = 5;
-- 1
-- коммит изменения

COMMIT;


--Проблемы, вызванные параллелизмом транзакций:
--Грязное чтение: одна транзакция читает данные, которые не были переданы другой транзакцией
--Транзакция 1. Обновление фрагмента данных.
--Транзакция 2: чтение обновленной записи транзакции 1
--Транзакция 1: вызов коммита для отправки
--
--